declare namespace PROAPI {
    type TableProProps = {
        configName: string;
        config: any;
        fixed?: {
            left: number,
            right: number
        };
        title?: string;
        tips?: JSX.Element; // 提示
        czChild?: JSX.Element;
        leftChild?: JSX.Element;
        ajax?: any;//接口刷新
        size?: 'small' | 'middle' | 'large',
        className?: string,//自定义class
        total?: number;
        page?: number,
        pageSize?: number,
        scroll?: { x?: number, y?: number },
        dataSource?: readonly any[]
        isZj?: boolean,//是否查总计
        totalData?: any[]
        rowSelection?: TableRowSelection<any>
        summary?: ((data: readonly any[]) => React.ReactNode)
    };
    type State = {
        columns: any[];
        configObj: { [key: string]: string; };
        defaultColumns: any[];
    };
    type HeaderContentProps = {
        isFullscreen: boolean;
        setIsFullscreen: React.Dispatch<React.SetStateAction<boolean>>;
        isFull: boolean;
        toggleFull: () => void;
        setVisible: React.Dispatch<React.SetStateAction<boolean>>;
        czChild?: JSX.Element;
        leftChild?: JSX.Element;
        ajax?: any; //接口刷新
    };
    type TableContentProps = {
        total?: number;
        page?: number;
        pageSize?: number;
        onPaginationChange?: (page: number, pageSize?: number) => void,
        handelResize?: (columns: any) => void
    }
}