import { Popover } from "antd"
import React from "react"
import SendPackTable from "./sendPackTable"


interface Props {
    data: any
    onChange?: () => void
}
/**
 * 发送礼包详细
 * @returns 
 */
const SendPackDetails: React.FC<Props> = ({ data, onChange }) => {

    return <Popover
        title={<strong>发送礼包记录详情</strong>}
        trigger="click"
        placement="left"
        zIndex={101}
        destroyTooltipOnHide={true}
        content={<div style={{ width: 650 }}>
            <SendPackTable data={data} />
        </div>}
    >
        <a style={{ fontSize: 12 }}>详情</a>
    </Popover>
}

export default React.memo(SendPackDetails)